List History
curl --request GET \
--url https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/{miner_id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/{miner_id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/miners/{miner_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "<string>",
"miner_id": "002b1a50fa281efe0f320ebc39f5047b",
"agent_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"farm_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"workspace_id": "org_xxxxxxxxxxxxxxxxxxxxxxxxxxx",
"hashrate": 100120000000000,
"wattage": 9771,
"temp": 75.5,
"serial_number": "HTM3FS28HD25011939878367054H36045",
"model": "Antminer S19",
"ip": "192.168.1.100",
"mac": "00:1B:44:11:3A:B7",
"firmware_version": "20250304.15.REL",
"period": "2025-09-07T00:00:00.000Z",
"pool_url": "stratum+tcp://pool.example.com:4444",
"worker_id": "worker1.100x0x217"
}
],
"pagination": {
"total": 50,
"limit": 10,
"offset": 0,
"hasNext": true,
"hasPrevious": false
},
"error": null
}{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed"
}
}{
"success": false,
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"success": false,
"data": null,
"error": {
"code": "FORBIDDEN",
"message": "Access denied to workspace"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
}Miners
List History
Returns historical performance data for a specific miner
GET
/
private-api
/
v1
/
{workspace_id}
/
farms
/
{farm_id}
/
miners
/
{miner_id}
/
history
List History
Authorizations
Clerk Machine API Key for authentication
Query Parameters
Page number (default: 1)
Required range:
x >= 1Example:
1
Number of items per page (default: 10, max: 10000)
Required range:
1 <= x <= 10000Example:
10
Start time for the history data in ISO 8601 format with timezone offset.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Example:
"2025-09-06T00:00:00Z"
End time for the history data in ISO 8601 format with timezone offset.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Example:
"2025-09-07T00:00:00Z"
Time resolution of the returned snapshots.
10min: max range 1 day (144 data points). Requires miner_id (single-miner queries only).hour(default): max range 7 days (168 data points).day: max range 90 days (90 data points).week: max range 365 days (52 data points).
Available options:
10min, hour, day, week Example:
"hour"
Response
Successfully retrieved miner history